PingOne Platform APIs

Read All Verify Policies

 

GET {{apiPath}}/environments/{{envID}}/verifyPolicies

Use the GET {{apiPath}}/environments/{{envID}}/verifyPolicies request to return all of the verify policies in the environment.

The request accepts a SCIM filter expression for the name property to retrieve a subset of all policies. Comparisons are case insensitive. The filter supports the SCIM attribute operators: eq (equal), ne (not equal), co (contains), sw (starts with), ew (ends with), and pr (present; not null or empty). Other attribute operators and logical operators are not supported.

The first example response is from a request that had no filter. The second example response is from a request that had the filter in the top row of the Example filters table.

Example filters

Text URL encoded

?filter=name eq "Verify everything"

?filter=name%20eq%20%22Verify%20everything%22

?filter=name ne "Verify everything"

?filter=name%20ne%20%22Verify%20everything%22

?filter=name sw "Def"

?filter=name%20sw%20%22Def%22

?filter=name ew "ication"

?filter=name%20ew%20%22ication%22

?filter=name co "fault"

?filter=name%20co%20%22fault%22

Headers

Authorization      Bearer {{accessToken}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/environments/{{envID}}/verifyPolicies' \
--header 'Authorization: Bearer {{accessToken}}'
var options = new RestClientOptions("{{apiPath}}/environments/{{envID}}/verifyPolicies")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/environments/{{envID}}/verifyPolicies"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /environments/{{envID}}/verifyPolicies HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/environments/{{envID}}/verifyPolicies")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/environments/{{envID}}/verifyPolicies",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/environments/{{envID}}/verifyPolicies',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/environments/{{envID}}/verifyPolicies"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/environments/{{envID}}/verifyPolicies');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/environments/{{envID}}/verifyPolicies")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/environments/{{envID}}/verifyPolicies")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "_links": {
        "defaultPolicy": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies/7f7b78c3-eb57-43d9-93f3-4343d60ad8ae"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies"
        }
    },
    "_embedded": {
        "verifyPolicies": [
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies/7f7b78c3-eb57-43d9-93f3-4343d60ad8ae"
                    }
                },
                "id": "7f7b78c3-eb57-43d9-93f3-4343d60ad8ae",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "Default Verify Policy",
                "description": "Default Verify Policy based on Environment Capabilities",
                "default": true,
                "governmentId": {
                    "verify": "REQUIRED",
                    "inspectionType": "AUTOMATIC",
                    "failExpiredId": false,
                    "provider": {
                        "auto": "MITEK",
                        "manual": "MITEK"
                    },
                    "verifyAamva": true
                },
                "facialComparison": {
                    "verify": "REQUIRED",
                    "threshold": "MEDIUM"
                },
                "liveness": {
                    "verify": "REQUIRED",
                    "threshold": "MEDIUM"
                },
                "email": {
                    "verify": "DISABLED",
                    "createMfaDevice": false,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 10,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "phone": {
                    "verify": "DISABLED",
                    "createMfaDevice": false,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 5,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "voice": {
                    "verify": "DISABLED",
                    "enrollment": false,
                    "textDependent": {
                        "samples": 3,
                        "phrase": {
                            "id": "exceptional_experiences"
                        }
                    },
                    "comparison": {
                        "threshold": "MEDIUM"
                    },
                    "liveness": {
                        "threshold": "MEDIUM"
                    },
                    "referenceData": {
                        "retainOriginalRecordings": false,
                        "updateOnReenrollment": true,
                        "updateOnVerification": true
                    }
                },
                "transaction": {
                    "timeout": {
                        "duration": 30,
                        "timeUnit": "MINUTES"
                    },
                    "dataCollection": {
                        "timeout": {
                            "duration": 15,
                            "timeUnit": "MINUTES"
                        }
                    },
                    "dataCollectionOnly": false
                },
                "createdAt": "2022-07-08T14:25:52.428Z",
                "updatedAt": "2024-07-10T18:09:35.028Z"
            },
            {
                "_links": {
                    "notificationTemplates": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/templates/email_phone_verification"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies/60ee17a9-611e-4281-88b8-32acf451220b"
                    }
                },
                "id": "60ee17a9-611e-4281-88b8-32acf451220b",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "Verify everything",
                "description": "All types required",
                "default": false,
                "governmentId": {
                    "verify": "REQUIRED",
                    "inspectionType": "AUTOMATIC",
                    "failExpiredId": true,
                    "retry": {
                        "attempts": 3
                    },
                    "provider": {
                        "auto": "VERIFF",
                        "manual": "MITEK"
                    },
                    "verifyAamva": true
                },
                "facialComparison": {
                    "verify": "REQUIRED",
                    "threshold": "HIGH"
                },
                "liveness": {
                    "verify": "REQUIRED",
                    "threshold": "HIGH",
                    "retry": {
                        "attempts": 3
                    }
                },
                "email": {
                    "verify": "REQUIRED",
                    "createMfaDevice": true,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 10,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "phone": {
                    "verify": "REQUIRED",
                    "createMfaDevice": true,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 10,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "voice": {
                    "verify": "DISABLED",
                    "enrollment": false,
                    "textDependent": {
                        "samples": 3,
                        "phrase": {
                            "id": "exceptional_experiences"
                        }
                    },
                    "comparison": {
                        "threshold": "MEDIUM"
                    },
                    "liveness": {
                        "threshold": "MEDIUM"
                    },
                    "referenceData": {
                        "retainOriginalRecordings": false,
                        "updateOnReenrollment": true,
                        "updateOnVerification": true
                    }
                },
                "transaction": {
                    "timeout": {
                        "duration": 30,
                        "timeUnit": "MINUTES"
                    },
                    "dataCollection": {
                        "timeout": {
                            "duration": 15,
                            "timeUnit": "MINUTES"
                        }
                    },
                    "ida": {
                        "enabled": true
                    },
                    "dataCollectionOnly": false
                },
                "verifiableCredential": {
                    "verify": "DISABLED",
                    "protocol": "NATIVE"
                },
                "createdAt": "2025-01-03T14:48:37.946Z",
                "updatedAt": "2025-01-03T14:48:37.963Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies/cf4fc8f1-9db1-45b1-a157-ab4035425e00"
                    }
                },
                "id": "cf4fc8f1-9db1-45b1-a157-ab4035425e00",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "Identity Verification",
                "description": "Verify Government ID and compare Selfie",
                "default": false,
                "governmentId": {
                    "verify": "REQUIRED",
                    "inspectionType": "AUTOMATIC",
                    "failExpiredId": false,
                    "provider": {
                        "auto": "MITEK",
                        "manual": "MITEK"
                    },
                    "verifyAamva": true
                },
                "facialComparison": {
                    "verify": "REQUIRED",
                    "threshold": "HIGH"
                },
                "liveness": {
                    "verify": "REQUIRED",
                    "threshold": "HIGH"
                },
                "email": {
                    "verify": "DISABLED",
                    "createMfaDevice": false,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 10,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "phone": {
                    "verify": "DISABLED",
                    "createMfaDevice": false,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 5,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "voice": {
                    "verify": "DISABLED",
                    "enrollment": false,
                    "textDependent": {
                        "samples": 3,
                        "phrase": {
                            "id": "exceptional_experiences"
                        }
                    },
                    "comparison": {
                        "threshold": "MEDIUM"
                    },
                    "liveness": {
                        "threshold": "MEDIUM"
                    },
                    "referenceData": {
                        "retainOriginalRecordings": false,
                        "updateOnReenrollment": true,
                        "updateOnVerification": true
                    }
                },
                "transaction": {
                    "timeout": {
                        "duration": 30,
                        "timeUnit": "MINUTES"
                    },
                    "dataCollection": {
                        "timeout": {
                            "duration": 15,
                            "timeUnit": "MINUTES"
                        }
                    },
                    "dataCollectionOnly": false
                },
                "verifiableCredential": {
                    "verify": "DISABLED",
                    "protocol": "NATIVE"
                },
                "createdAt": "2023-06-28T18:44:12.711Z",
                "updatedAt": "2024-07-10T18:09:35.036Z"
            }
        ]
    },
    "size": 3
}

Example Response

200 OK

{
    "_links": {
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies"
        }
    },
    "_embedded": {
        "verifyPolicies": [
            {
                "_links": {
                    "notificationTemplates": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/templates/email_phone_verification"
                    },
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/verifyPolicies/60ee17a9-611e-4281-88b8-32acf451220b"
                    }
                },
                "id": "60ee17a9-611e-4281-88b8-32acf451220b",
                "environment": {
                    "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
                },
                "name": "Verify everything",
                "description": "All types required",
                "default": false,
                "governmentId": {
                    "verify": "REQUIRED",
                    "inspectionType": "AUTOMATIC",
                    "failExpiredId": true,
                    "retry": {
                        "attempts": 3
                    },
                    "provider": {
                        "auto": "VERIFF",
                        "manual": "MITEK"
                    },
                    "verifyAamva": true
                },
                "facialComparison": {
                    "verify": "REQUIRED",
                    "threshold": "HIGH"
                },
                "liveness": {
                    "verify": "REQUIRED",
                    "threshold": "HIGH",
                    "retry": {
                        "attempts": 3
                    }
                },
                "email": {
                    "verify": "REQUIRED",
                    "createMfaDevice": true,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 10,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "phone": {
                    "verify": "REQUIRED",
                    "createMfaDevice": true,
                    "otp": {
                        "attempts": {
                            "count": 5
                        },
                        "lifeTime": {
                            "duration": 10,
                            "timeUnit": "MINUTES"
                        },
                        "deliveries": {
                            "count": 3,
                            "cooldown": {
                                "duration": 30,
                                "timeUnit": "SECONDS"
                            }
                        },
                        "notification": {
                            "templateName": "email_phone_verification"
                        }
                    }
                },
                "voice": {
                    "verify": "DISABLED",
                    "enrollment": false,
                    "textDependent": {
                        "samples": 3,
                        "phrase": {
                            "id": "exceptional_experiences"
                        }
                    },
                    "comparison": {
                        "threshold": "MEDIUM"
                    },
                    "liveness": {
                        "threshold": "MEDIUM"
                    },
                    "referenceData": {
                        "retainOriginalRecordings": false,
                        "updateOnReenrollment": true,
                        "updateOnVerification": true
                    }
                },
                "transaction": {
                    "timeout": {
                        "duration": 30,
                        "timeUnit": "MINUTES"
                    },
                    "dataCollection": {
                        "timeout": {
                            "duration": 15,
                            "timeUnit": "MINUTES"
                        }
                    },
                    "ida": {
                        "enabled": true
                    },
                    "dataCollectionOnly": false
                },
                "verifiableCredential": {
                    "verify": "DISABLED",
                    "protocol": "NATIVE"
                },
                "createdAt": "2025-01-03T14:48:37.946Z",
                "updatedAt": "2025-01-03T14:48:37.963Z"
            }
        ]
    },
    "size": 1
}